> For the complete documentation index, see [llms.txt](https://docs.delos.financial/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.delos.financial/accounts/get-account-by-id.md).

# Get account by ID

**Endpoint**

`GET/v2/account/{id}`

**Link**

{% embed url="<https://stagep.tst-apidmndelss.com/openapi/v2.html#/operations/Accounts_GetAccount>" %}

### **Request**

#### **Path Parameters**

| Parameter | Type     | Description                 | Required | Example          |
| --------- | -------- | --------------------------- | -------- | ---------------- |
| **`id`**  | `string` | **Account ID** to retrieve. | Yes      | `"UhcPVBEpjmtR"` |

#### **Headers**

| Key             | Value              | Required |
| --------------- | ------------------ | -------- |
| `Authorization` | `Bearer <JWT>`     | Yes      |
| `Accept`        | `application/json` | Yes      |

***

### **Response (200 OK)**

Returns an `Account entity v2` object in JSON format.

#### **Response Fields**

<table><thead><tr><th width="179">Field</th><th width="103">Type</th><th width="215">Description &#x26; Values</th><th width="382">Example</th><th></th></tr></thead><tbody><tr><td><strong><code>id</code></strong></td><td><code>string</code></td><td>Unique account identifier.</td><td><code>"UhcPVBEpjmtR"</code></td><td></td></tr><tr><td><strong><code>customer</code></strong></td><td><code>object</code></td><td><strong>Customer details</strong>:<br>- <code>id</code>: Customer ID<br>- <code>name</code>: Full name<br><mark style="color:red;"><strong>- <code>email</code>: Contact email</strong></mark><br><mark style="color:red;"><strong>- <code>phone</code>: Phone number</strong></mark><br>- <code>status</code>: Customer status (<code>NEW</code>, <code>ACCEPT</code>, etc.)</td><td><code>{ "id": "</code><kbd><code>DqCsgSE-4e95-ViYbNI</code></kbd><code>", "status": "ACCEPT" }</code></td><td></td></tr><tr><td><strong><code>isDefault</code></strong></td><td><code>boolean</code></td><td>Whether this is the user’s default account (<code>true</code>/<code>false</code>).</td><td><code>true</code></td><td></td></tr><tr><td><strong><code>name</code></strong></td><td><code>string</code></td><td>Account name.</td><td><code>"Business Account"</code></td><td></td></tr><tr><td><strong><code>status</code></strong></td><td><code>string</code></td><td>Current account status:<br>- <code>NEW</code><br>- <code>ACCEPTED</code><br>- <code>REJECTED</code><br>- <code>BANNED</code><br>- <code>PROCESSING</code></td><td><code>"ACCEPTED"</code></td><td></td></tr><tr><td><strong><code>balance</code></strong></td><td><code>object</code></td><td><strong>Balance details</strong>:<br>- <code>balance</code>: Available funds<br>- <code>hold</code>: Restricted funds (see <em>Money Object</em> below)</td><td>–</td><td></td></tr><tr><td><strong><code>currencyIso</code></strong></td><td><code>string</code></td><td>Account currency code (ISO 4217).</td><td><code>"USD"</code></td><td></td></tr><tr><td><strong><code>requisites</code></strong></td><td><code>array</code></td><td><strong>Bank/payment details</strong>:<br>- <code>title</code>: Section title (e.g., <code>"Bank Account"</code>)<br>- <code>items[]</code>: Key-value pairs (e.g., IBAN, SWIFT)</td><td>See Requisites Example</td><td></td></tr><tr><td><strong><code>createdAt</code></strong></td><td><code>string</code></td><td>Creation timestamp (ISO 8601).</td><td>"2024-01-15T10:30:00Z"</td><td></td></tr><tr><td><strong><code>updatedAt</code></strong></td><td><code>string</code></td><td>Last update timestamp (ISO 8601).</td><td>"2024-01-20T14:45:00Z"</td><td></td></tr></tbody></table>

**Money Object**

Nested under `balance` and `hold`:

| Field              | Type      | Description                                                              | Example               |
| ------------------ | --------- | ------------------------------------------------------------------------ | --------------------- |
| **`currencyCode`** | `string`  | 3-letter ISO currency code.                                              | `"USD"`               |
| **`units`**        | `string`  | Whole units (e.g., dollars). Negative values indicate debts.             | `"100"` (= $100)      |
| **`nanos`**        | `integer` | Fractional units (1 nano = 10^-9 units). Use for cents/micro-currencies. | `500000000` (= $0.50) |

**Example**:

json

```
"balance": {
  "money": {
    "currencyCode": "USD",
    "units": "100",     // $100
    "nanos": 500000000  // + $0.50 → Total: $100.50
  }
}
```

### **Error Cases**

1. **Invalid Account ID**:

   json

   ```
   { "error": "Account not found" }
   ```
2. **Missing Authorization**:

   json

   ```
   { "error": "Unauthorized" }
   ```

***

### **Notes**

* **Requisites**: May be empty if no bank details are linked.
* **Hold Balance**: Shows funds temporarily unavailable (e.g., during transactions).
* **Timestamps**: Use ISO 8601 format (YYYY-MM-DDThh:mm:ssZ).

### Examples

**Real request**&#x20;

```postman_json
Authorization: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOjE2NCwiZXhwIjoxNzYxNTYyNjg0LCJrZXkiOiI1Y2ZiOGZjN2RmYjk4ZjVkYmIyZTgwNTVkZWFhN2U2Zjk4MzEyYmE3Iiwib3RwX3ZlcmlmaWVkIjpmYWxzZX0.sAHIi5o9r3XHxqtAPypxlVIncxr4WsUkhPCHnB0fQus
accountId*: UnTtUmiTlATg
```

**Real response**&#x20;

```postman_json
{
  "item": {
    "accountId": "UnTtUmiTlATg",
    "customer": {
      "id": "Dt4zZnj-x14s-q6eYgIBDpa4D",
      "name": "sdfsdfsd sdfsdf sdfsdf",
      "email": "sdfsdf@dasdas.rr",
      "phone": "+1888457743",
      "status": "NEW"
    },
    "isDefault": true,
    "name": "",
    "status": "MODERATION",
    "balance": {
      "balance": {
        "money": {
          "currencyCode": "USDT_TRC20",
          "units": "0",
          "nanos": 0
        },
        "default": {
          "currencyCode": "USD",
          "units": "0",
          "nanos": 0
        }
      },
      "hold": {
        "money": {
          "currencyCode": "USDT_TRC20",
          "units": "0",
          "nanos": 0
        },
        "default": {
          "currencyCode": "USD",
          "units": "0",
          "nanos": 0
        }
      }
    },
    "currencyCode": "USDT_TRC20",
    "requisites": [],
    "createdAt": "2025-10-22T08:35:26Z",
    "updatedAt": "2025-10-22T08:35:26Z"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.delos.financial/accounts/get-account-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
